<script lang='ts'>
export default {
  name: 'JSemanticButton',
};
</script>

<template>
  <button class="j-semantic-button">
    <slot />
  </button>
</template>

<style lang="scss" scoped>
@use '../../../styles/tools/mixins' as mixins;

.j-semantic-button {
  display: flex;
  align-items: center;
  position: relative;
  padding: 0;
  cursor: pointer;
  background: unset;
  border: unset;
  color: inherit;

  &:focus-visible::before {
    @include mixins.focus-custom-outline;
  }
}
</style>
